#
# spec file for package tree-sitter-qmljs
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name qmljs
Summary:        QML grammar for tree-sitter
Name:           tree-sitter-%{_name}
Version:        0.1.2.41.febf48a
Release:        bp160.1.8
License:        MIT
Group:          Development/Tools/Other
URL:            https://github.com/yuja/tree-sitter-qmljs
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
BuildRequires:  treesitter_grammar_src(tree-sitter-typescript)
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup -p1

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install

%check

%files
%{treesitter_files}
%license LICENSE

%changelog
* Sun Jul  7 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Update to version 0.1.2.41.febf48a:
  * remove queries from rust binding
  * bump rust binding dependencies and reorder highlights queries accordingly
  * don't mark my Makefile as linguist-generated
  * include package-lock.json in version control
  * include tree_sitter/parser.h as local header
* Mon Apr 29 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Update to version 0.1.2.27.239f262:
  * add test of multi-line string literal
  * define our set of reserved identifiers to get around "new {}" conflicts
  * extend reserved identifiers test to include various property name positions
* Fri Mar 15 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.1.2.24.9fa49ff:
  * bump tree-sitter-typescript to 0.20.5
  * add test of multi-line string literal
  * define our set of reserved identifiers to get around "new {}" conflicts
  * extend reserved identifiers test to include various property name positions
  * bump tree-sitter-typescript to c604297f8197b468026f2ea32119935887e01c67 (v0.20.3)
  * use our version of nested_identifier to represent an ImportId
  * update src/typescript-scanner.h
  * cargo: fix repository URL (#1)
  * include queries/*.scm symlinks in master branch (fixes #1)
  * unexclude generated sources from master branch
